<?xml version="1.0" encoding="utf-8"?>
<FrameLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/bg_popup">

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="288dp"
        android:background="@drawable/bg_share_dialog"
        android:layout_gravity="bottom"
        android:orientation="vertical">

        <TextView
            android:id="@+id/share_to_tv"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="16dp"
            android:gravity="center"
            android:includeFontPadding="false"
            android:textColor="@color/text_title"
            android:textStyle="bold"
            android:textSize="14sp"
            android:text="@string/share_to" />

        <LinearLayout
            android:id="@+id/share_type_container"
            android:layout_below="@+id/share_to_tv"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="24dp"
            android:orientation="horizontal">

            <LinearLayout
                android:id="@+id/item_wechat"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:gravity="center"
                android:orientation="vertical">

                <ImageView
                    android:layout_width="48dp"
                    android:layout_height="48dp"
                    android:src="@drawable/share_wechat" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:includeFontPadding="false"
                    android:textColor="@color/text_subtitleDesc"
                    android:textSize="12sp"
                    android:layout_marginTop="8dp"
                    android:text="@string/share_wechat" />
            </LinearLayout>

            <LinearLayout
                android:id="@+id/item_wechat_moments"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:gravity="center"
                android:orientation="vertical">

                <ImageView
                    android:layout_width="48dp"
                    android:layout_height="48dp"
                    android:src="@drawable/share_wechat_moments" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:includeFontPadding="false"
                    android:textColor="@color/text_subtitleDesc"
                    android:textSize="12sp"
                    android:layout_marginTop="8dp"
                    android:text="@string/share_wechat_moments" />
            </LinearLayout>

            <LinearLayout
                android:id="@+id/item_qq"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:gravity="center"
                android:orientation="vertical">

                <ImageView
                    android:layout_width="48dp"
                    android:layout_height="48dp"
                    android:src="@drawable/share_qq" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:includeFontPadding="false"
                    android:layout_marginTop="8dp"
                    android:text="@string/share_qq"
                    android:textColor="@color/text_subtitleDesc"
                    android:textSize="12sp" />
            </LinearLayout>

            <LinearLayout
                android:id="@+id/item_qq_zone"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:gravity="center"
                android:orientation="vertical">

                <ImageView
                    android:layout_width="48dp"
                    android:layout_height="48dp"
                    android:src="@drawable/share_qq_zone" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:includeFontPadding="false"
                    android:textColor="@color/text_subtitleDesc"
                    android:textSize="12sp"
                    android:layout_marginTop="8dp"
                    android:text="@string/share_qq_zone" />
            </LinearLayout>
        </LinearLayout>

        <LinearLayout
            android:layout_below="@+id/share_type_container"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="24dp"
            android:orientation="horizontal">

            <LinearLayout
                android:id="@+id/item_weibo"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:gravity="center"
                android:orientation="vertical">

                <ImageView
                    android:layout_width="48dp"
                    android:layout_height="48dp"
                    android:src="@drawable/share_weibo" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:includeFontPadding="false"
                    android:textColor="@color/text_subtitleDesc"
                    android:textSize="12sp"
                    android:layout_marginTop="8dp"
                    android:text="@string/share_weibo" />
            </LinearLayout>

            <View
                android:layout_width="0dp"
                android:layout_height="0dp"
                android:layout_weight="3" />
        </LinearLayout>

        <TextView
            android:layout_width="match_parent"
            android:layout_height="50dp"
            android:layout_alignParentBottom="true"
            android:background="@color/background_white"
            android:gravity="center"
            android:text="取消"
            android:textColor="@color/text_subtitle"
            android:textSize="16sp" />
    </RelativeLayout>
</FrameLayout>